package com.its.web.mapper.its.traffic;

import com.its.web.dto.traffic.*;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface TrafficMapper {
    List<TbCctvCtlrDto> findAllCctv();

    List<TbCctvCtlrDto> findCctvList();

    List<TbVmsCtlrDto> findAllVms();

    List<VmsDsplPhaseDto> findVmsDsplPhaseInfo(String vmsCtlrNmbr);

    Map<String, Object> findVmsDsplImage(Map<String, String> paramMap);

    List<TbIncdOcrrDto> findAllIncident();

    List<TbIncdOcrrDto> findMainIncident();

    List<TbScCmraArrowDto> findAllIntersectionCameraArrow();

    List<VertexDto> findRoadVertexByRange(Map<String, Object> paramMap);

    List<VertexDto> findIfscVertexByRange(Map<String, Object> paramMap);

    List<VertexDto> findLinkVertexByRange(Map<String, Object> paramMap);

    List<TbAtrdDto> findAllAtrd();

    List<TbAtrdDto> findAtrdNameList();

    List<TbAtrdDto> findAtrdRoadVertexByIdAndLevel(Map<String, Object> paramMap);

    List<TbAtrdDto> findAtrdIfscVertexByIdAndLevel(Map<String, Object> paramMap);

    List<TbAtrdDto> findAtrdLinkVertexByIdAndLevel(Map<String, Object> paramMap);

    int updateCctvHmpgUseYn(Map<String, String> paramMap);
}
